Go Down

Topic: [solved] Phi Prompt menu examples will not compile (Read 2 times) previous topic - next topic

liudr

OK I re-read your OP and you shouldn't have made the changes. Now change them back and post the ORIGINAL error messages. the prog_char and char are the same sizes (1-byte) but the similarity ends there.

digimate


OK I re-read your OP and you shouldn't have made the changes. Now change them back and post the ORIGINAL error messages. the prog_char and char are the same sizes (1-byte) but the similarity ends there.


I changed them because I found a forum post that said prog_char was deprecated, and a bug report was around to get it's handling fixed.  However, as you requested

Code: [Select]
phi_prompt_example_menu_20X4_display_phi_panel.cpp:63:9: error: 'prog_char' does not name a type
phi_prompt_example_menu_20X4_display_phi_panel.cpp: In function 'void show_credit()':
phi_prompt_example_menu_20X4_display_phi_panel.cpp:96:23: error: 'msg_00' was not declared in this scope
phi_prompt_example_menu_20X4_display_phi_panel.cpp: At global scope:
phi_prompt_example_menu_20X4_display_phi_panel.cpp:136:9: error: 'prog_char' does not name a type
phi_prompt_example_menu_20X4_display_phi_panel.cpp:137:9: error: 'prog_char' does not name a type

liudr

Mine compiled just fine on arduino 1.0 and 1.5 just now.

Can you compile sample code phi_button_groups_01 inside phi_interfaces library sample code collection? I want to know if this library is working.

Also have you restarted arduino ide (closing all windows) after you install the libraries?

digimate


Mine compiled just fine on arduino 1.0 and 1.5 just now.

Can you compile sample code phi_button_groups_01 inside phi_interfaces library sample code collection? I want to know if this library is working.

Also have you restarted arduino ide (closing all windows) after you install the libraries?


phi_button_groups_01 compiles without problem.  (and yes, the IDE has been restarted)

digimate

Just wanted to note here, I downloaded the version linked on the web site - v1.0, but it is pre-release.   I see there was an older version - v523 - should I be using that one.

Go Up